<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpScrolledPreview: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpRuler.html" title="GimpRuler">
<link rel="next" href="GimpSizeEntry.html" title="GimpSizeEntry">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpScrolledPreview.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpScrolledPreview.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpScrolledPreview.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpRuler.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpSizeEntry.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpScrolledPreview"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpScrolledPreview.top_of_page"></a>GimpScrolledPreview</span></h2>
<p>GimpScrolledPreview — A widget providing a <a class="link" href="GimpPreview.html" title="GimpPreview"><span class="type">GimpPreview</span></a> enhanced by
                    scrolling capabilities.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpScrolledPreview.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpScrolledPreview.html#gimp-scrolled-preview-set-position" title="gimp_scrolled_preview_set_position ()">gimp_scrolled_preview_set_position</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpScrolledPreview.html#gimp-scrolled-preview-set-policy" title="gimp_scrolled_preview_set_policy ()">gimp_scrolled_preview_set_policy</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpScrolledPreview.html#gimp-scrolled-preview-freeze" title="gimp_scrolled_preview_freeze ()">gimp_scrolled_preview_freeze</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpScrolledPreview.html#gimp-scrolled-preview-thaw" title="gimp_scrolled_preview_thaw ()">gimp_scrolled_preview_thaw</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpScrolledPreview.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpScrolledPreview.html#GimpScrolledPreview-struct" title="GimpScrolledPreview">GimpScrolledPreview</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpScrolledPreview.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBox.html#GtkBox-struct">GtkBox</a>
                        <span class="lineart">╰──</span> <a class="link" href="GimpPreview.html" title="GimpPreview">GimpPreview</a>
                            <span class="lineart">╰──</span> GimpScrolledPreview
</pre>
</div>
<div class="refsect1">
<a name="GimpScrolledPreview.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpScrolledPreview implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a> and  <a href="../gtk2/gtk2-Orientable.html#GtkOrientable-struct">GtkOrientable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpScrolledPreview.description"></a><h2>Description</h2>
<p>A widget providing a <a class="link" href="GimpPreview.html" title="GimpPreview"><span class="type">GimpPreview</span></a> enhanced by scrolling capabilities.</p>
</div>
<div class="refsect1">
<a name="GimpScrolledPreview.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-scrolled-preview-set-position"></a><h3>gimp_scrolled_preview_set_position ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_scrolled_preview_set_position (<em class="parameter"><code><a class="link" href="GimpScrolledPreview.html" title="GimpScrolledPreview"><span class="type">GimpScrolledPreview</span></a> *preview</code></em>,
                                    <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> x</code></em>,
                                    <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> y</code></em>);</pre>
<div class="refsect3">
<a name="gimp-scrolled-preview-set-position.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>preview</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpScrolledPreview.html" title="GimpScrolledPreview"><span class="type">GimpScrolledPreview</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>x</p></td>
<td class="parameter_description"><p>horizontal scroll offset</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>y</p></td>
<td class="parameter_description"><p>vertical scroll offset</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-scrolled-preview-set-policy"></a><h3>gimp_scrolled_preview_set_policy ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_scrolled_preview_set_policy (<em class="parameter"><code><a class="link" href="GimpScrolledPreview.html" title="GimpScrolledPreview"><span class="type">GimpScrolledPreview</span></a> *preview</code></em>,
                                  <em class="parameter"><code><a href="../gtk2/gtk2-Standard-Enumerations.html#GtkPolicyType"><span class="type">GtkPolicyType</span></a> hscrollbar_policy</code></em>,
                                  <em class="parameter"><code><a href="../gtk2/gtk2-Standard-Enumerations.html#GtkPolicyType"><span class="type">GtkPolicyType</span></a> vscrollbar_policy</code></em>);</pre>
<div class="refsect3">
<a name="gimp-scrolled-preview-set-policy.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>preview</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpScrolledPreview.html" title="GimpScrolledPreview"><span class="type">GimpScrolledPreview</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>hscrollbar_policy</p></td>
<td class="parameter_description"><p>policy for horizontal scrollbar</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>vscrollbar_policy</p></td>
<td class="parameter_description"><p>policy for vertical scrollbar</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-scrolled-preview-freeze"></a><h3>gimp_scrolled_preview_freeze ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_scrolled_preview_freeze (<em class="parameter"><code><a class="link" href="GimpScrolledPreview.html" title="GimpScrolledPreview"><span class="type">GimpScrolledPreview</span></a> *preview</code></em>);</pre>
<p>While the <em class="parameter"><code>preview</code></em>
 is frozen, it is not going to redraw itself in
response to scroll events.</p>
<p>This function should only be used to implement widgets derived from
<a class="link" href="GimpScrolledPreview.html" title="GimpScrolledPreview"><span class="type">GimpScrolledPreview</span></a>. There is no point in calling this from a plug-in.</p>
<div class="refsect3">
<a name="gimp-scrolled-preview-freeze.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>preview</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpScrolledPreview.html" title="GimpScrolledPreview"><span class="type">GimpScrolledPreview</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-scrolled-preview-thaw"></a><h3>gimp_scrolled_preview_thaw ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_scrolled_preview_thaw (<em class="parameter"><code><a class="link" href="GimpScrolledPreview.html" title="GimpScrolledPreview"><span class="type">GimpScrolledPreview</span></a> *preview</code></em>);</pre>
<p>While the <em class="parameter"><code>preview</code></em>
 is frozen, it is not going to redraw itself in
response to scroll events.</p>
<p>This function should only be used to implement widgets derived from
<a class="link" href="GimpScrolledPreview.html" title="GimpScrolledPreview"><span class="type">GimpScrolledPreview</span></a>. There is no point in calling this from a plug-in.</p>
<div class="refsect3">
<a name="gimp-scrolled-preview-thaw.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>preview</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpScrolledPreview.html" title="GimpScrolledPreview"><span class="type">GimpScrolledPreview</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpScrolledPreview.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpScrolledPreview-struct"></a><h3>GimpScrolledPreview</h3>
<pre class="programlisting">typedef struct _GimpScrolledPreview GimpScrolledPreview;</pre>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>